Skip to main content
PUT
https://api.dintero.com/v1
/
accounts
/
{aid}
/
insight
/
reports
/
configuration
/
{id}
aid_reports_configuration_put
curl --request PUT \
  --url https://api.dintero.com/v1/accounts/{aid}/insight/reports/configuration/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "dataType": "checkout/transactions",
  "name": "<string>"
}
'
{
  "dataType": "checkout/transactions",
  "name": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "emails": [
    "<string>"
  ],
  "reportFilters": [
    {
      "value": "<string>"
    }
  ],
  "contentTypes": []
}

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9
id
string
required

An id that uniquely identifies the insight report configuration.

Body

application/json

Insight Report Configuration

dataType
enum<string>
required

Service (source) and type of data used to create the report

Available options:
checkout/transactions
name
string
required

Custom name of the report. Will be shown in report listing and in the report filename

Maximum string length: 64
schedule
enum<string>
required

Schedule for the report, how often will the report be generated

Available options:
monthly,
weekly,
daily
language
enum<string>
required

Report Language

Available options:
no,
en
emails
string[]

Emails will receive auto-generated report (or link to report if the report is to large)

reportFilters
object[]

List of filters used to filter the data for the report. Similar to SQL WHERE-clause. i.e, WHERE filter=value

contentTypes
enum<string>[]

Content types for the report

Available options:
application/pdf,
text/csv

Response

Insight Report Configuration

dataType
enum<string>
required

Service (source) and type of data used to create the report

Available options:
checkout/transactions
name
string
required

Custom name of the report. Will be shown in report listing and in the report filename

Maximum string length: 64
schedule
enum<string>
required

Schedule for the report, how often will the report be generated

Available options:
monthly,
weekly,
daily
language
enum<string>
required

Report Language

Available options:
no,
en
id
string<uuid>
read-only

An UUID that uniquely identifies the resource

accountId
string<uuid>
read-only

An id that uniquely identifies the account

created_at
string<date-time>
read-only

The date-time when the resource was created

created_by
string
read-only

The ID of the user/client that created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

emails
string[]

Emails will receive auto-generated report (or link to report if the report is to large)

reportFilters
object[]

List of filters used to filter the data for the report. Similar to SQL WHERE-clause. i.e, WHERE filter=value

contentTypes
enum<string>[]

Content types for the report

Available options:
application/pdf,
text/csv
Last modified on June 11, 2026